<?php
	include_once($_SERVER['DOCUMENT_ROOT'].'/daten/php/startup.php');
	
	$pagetitle = 'tilman.de';
	$breadcrumb = 'Tools';
//	$keywords = '';
//	$description = '';
	include_once($_SERVER['DOCUMENT_ROOT'].'/daten/php/pageheader.php');
?>

<div class="content">
	<h1>Online-Tools</h1>
	
	<h2>Nutzerinformationen</h2>
	<ul style="margin-top: 1ex;">
		<li>aktuelle IP-Adresse ist <?php echo $_SERVER['REMOTE_ADDR']; ?></li>
		<li>zugehöriger Host ist <?php echo gethostbyaddr($_SERVER['REMOTE_ADDR']); ?></li>
		<li>Client ist <?php echo $_SERVER['HTTP_USER_AGENT']; ?></li>
		<?php if ($_SERVER['HTTP_REFERER']) {?><li>Referer: <?php echo $_SERVER['HTTP_REFERER']; ?></li><?php } ?>
	</ul>

	<h2>Update-Check <img src="/daten/lock.gif" alt="passwortgeschützt" /></h2>
	<p>
		Prüft eine Webseite in regelmäßigen Abständen und benachrichtigt bei Veränderungen.
	</p> 
	<form>
	</form>	
	
	<h2>Crypt</h2>
	<?php
		// Funktion ausführen
		if (isset($_POST['submitCrypt'])) {
			echo '		<p>';
			echo '			Crypt: '.crypt($_POST['crypt'], $_POST['cryptSalt']);
			echo '		</p>';
		}
		else {
	?>
	<p>
		...ist immer nicht da, wenn man es gerade braucht.
	</p>
	<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
		<div class="search">
			<input type="password" name="crypt" size="12" /> &nbsp;
			<input type="text" name="cryptSalt" size="4" />
			<input type="submit" value="Crypt" name="submitCrypt" class="search" />
		</div>
	</form>
	<?php
		}
	?>
	<!--
	<h2>Passwort-Generator</h2>
	<?php
		// Funktion ausführen
		if(isset($_POST['submitPasswort'])) {
			if (isset($_POST['passwortDoppelklick'])) {
				$s = 94+40;
			}
			else if (isset($_POST['passwortDeutsch'])) {
				$s = 94+11;
			}
			else if (isset($_POST['passwortASCII128'])) {
				$s = 94;
			}
			else if (isset($_POST['passwortBuchstaben'])) {
				$c = array('a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z',
						'A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z');
				for ($i = 0; $i < $_POST_['pLength']; $i++) {
				}
			}
			else if (isset($_POST['passwortZiffern'])) {
				$c = array('1', '2', '3', '4', '5', '6', '7', '8', '9', '0');
			}
			else if (isset($_POST['passwortDoppelklick'])) {
				// FIPS 181
			}
		}
		else {
	?>
	<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
		Länge: <input type="text" value="8" name="pLength" size="2" /> Zeichen<br />
		<input type="radio" value="passwortDoppelklick" name="passRange" /> deutsche Tastatur mit Tottasten<br />
		<input type="radio" value="passwortDeutsch" name="passRange" /> deutsche Tastatur<br />
		<input type="radio" value="passwortASCII128" name="passRange" checked="checked" /> ASCII 7 bit<br />
		<input type="radio" value="passwortBuchstaben" name="passRange" /> nur Buchstaben<br />
		<input type="radio" value="passwortZiffern" name="passRange" /> nur Ziffern<br />
		<!-- @see
			http://search.cpan.org/~jdporter/Crypt-RandPasswd-0.02/lib/Crypt/RandPasswd.pm
			http://www2.cddc.vt.edu/www.eff.org/pub/Privacy/Newin/New_nist/fips181.txt
		-->
		<input type="radio" value="passwortFIPS" name="passRange" /> FIPS 181 random word<br />
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		<input type="submit" value="Generieren" name="submitPasswort" class="search" />
	</form>
	<?php
		}
	?>
	-->
</div>

<?php
    include_once($_SERVER['DOCUMENT_ROOT'].'/daten/php/pagefooter.php');
?>
